package discord

import (
	dsmodel "dorisbot/models/discord"
	"log"

	"github.com/bwmarrin/discordgo"
)

func messageCreateEvt(s *discordgo.Session, evt *discordgo.MessageCreate) {
	// skip bot message
	if evt.Author.ID == client.ID {
		return
	}
	if len(evt.Content) == 0 {
		return
	}
	guildID := evt.GuildID
	channelID := evt.ChannelID
	uid := evt.Author.ID
	_ = channelID
	_ = uid

	server, err := dsmodel.GetDiscordServerByID(guildID)
	if err != nil {
		log.Println("get server err :: ", err)
		return
	}

	cmd, keyword, payload := parseTextMessage(evt.Content)

	_ = cmd
	_ = payload
	if !keyword && server == nil {
		return
	}
}

func guildMemberAddEvt(s *discordgo.Session, evt *discordgo.GuildMemberAdd) {}

func guildMemberRemoveEvt(s *discordgo.Session, evt *discordgo.GuildMemberRemove) {}

func rateLimitEvt(s *discordgo.Session, evt *discordgo.RateLimit) {}

func connectEvt(s *discordgo.Session, evt *discordgo.Connect) {
	log.Println(":: Connect ::")
	client.connected = true
}

func disconnectEvt(s *discordgo.Session, evt *discordgo.Disconnect) {
	log.Println(":: Disconnect ::")
	client.connected = false
}
